> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Look up an address

> 
 Returns a list of all addresses for a given  UK postcode (5-7 alphanumeric characters).
 You can use this to confirm that an address exists. For example, if you want to check a recipient's
 address for a card delivery.

 By default, this endpoint isn't enabled. If you'd like to use it, please contact us.
    



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json get /addresses/lookup
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /addresses/lookup:
    get:
      tags:
        - Address lookup
      summary: Look up an address
      description: |2-

         Returns a list of all addresses for a given  UK postcode (5-7 alphanumeric characters).
         You can use this to confirm that an address exists. For example, if you want to check a recipient's
         address for a card delivery.

         By default, this endpoint isn't enabled. If you'd like to use it, please contact us.
            
      operationId: lookupAddress
      parameters:
        - name: postcode
          in: query
          schema:
            description: The postcode to look up addresses for.
            type:
              - string
            maxLength: 50
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  data:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        addressLine1:
                          type:
                            - string
                          maxLength: 256
                          description: The first line of the address.
                          example: Great Building
                        addressLine2:
                          type:
                            - string
                          maxLength: 256
                          description: The second line of the address.
                          example: Four Maple Street
                        addressLine3:
                          type:
                            - string
                          maxLength: 256
                          description: The third line of the address.
                          example: Southwark
                        city:
                          type:
                            - string
                          maxLength: 256
                          example: London
                        postcode:
                          type:
                            - string
                          maxLength: 50
                          description: The postal or ZIP code of the address.
                          example: SE13UB
                        county:
                          type:
                            - string
                          maxLength: 256
                          example: Greater London
                      required:
                        - addressLine1
                        - city
                        - postcode
                        - county
                    description: Array of all matching addresses.
                required:
                  - data
                example:
                  data:
                    - addressLine1: Great Building
                      addressLine2: Four Maple Street
                      addressLine3: Southwark
                      city: London
                      postcode: SE13UB
                      county: Greater London
      security:
        - CommonAuth:
            - addresses:lookup:any
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````